package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

public enum ApplyTypeEnum {
    自助端申报(1, "自助端申报"),
    移动端申报(2, "移动端申报"),
    第三方申报(3, "第三方申报");
    private Integer value;
    private String desc;

    ApplyTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static ApplyTypeEnum getByValue(Integer value) {
        for (ApplyTypeEnum applyTypeEnum : ApplyTypeEnum.values()) {
            if (applyTypeEnum.getValue() == value) {
                return applyTypeEnum;
            }
        }
        return null;
    }

    /**
     * 获取Map集合
     *
     * @param eItem 不包含项
     * @return
     */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (ApplyTypeEnum item : ApplyTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}
